<?php
namespace AkTest\ServiceManager\AbstractFactory\Mock;

use Laminas\ServiceManager\PluginManagerInterface;

final class PluginManagerInvalidConfigKey implements PluginManagerInterface
{
    /**
     * Finds an entry of the container by its identifier and returns it.
     *
     * @param string $id Identifier of the entry to look for.
     */
    public function get($id)
    { }

    /**
     * Returns true if the container can return an entry for the given identifier.
     * Returns false otherwise.
     *
     * `has($id)` returning true does not mean that `get($id)` will not throw an exception.
     * It does however mean that `get($id)` will not throw a `NotFoundExceptionInterface`.
     *
     * @param string $id Identifier of the entry to look for.
     */
    public function has($id)
    { }

    /**
     * Validate an instance
     *
     * @param  object $instance
     */
    public function validate($instance)
    { }

    /**
     * Build a service by its name, using optional options (such services are NEVER cached).
     *
     * @param  string $name
     * @param  null|array $options
     */
    public function build($name, array $options = null)
    { }
}
